=== debian/changelog ===
kodi-pvr-mythtv (2.8.0+git20151119-1) unstable; urgency=medium

  * Create packaging compliant to Debian Policy

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 12 Dec 2015 20:31:53 +0100
