=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# hack for using cec-platform
export DEB_CXXFLAGS_MAINT_APPEND = -I$(CURDIR)/src/

%:
	dh $@

override_dh_auto_configure:
	# hack for using cec-platform
	ln -s /usr/include/cec-platform src/platform
	# USE_LTO breaks build
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi

override_dh_installdocs:
	dh_installdocs --link-doc=kodi-pvr-mythtv

override_dh_makeshlibs:
	dh_makeshlibs -n
