## kodi-pvr-mythtv 3.4.8+git20160301

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(pvr.mythtv)
 
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.12)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})
 
@@ -40,12 +40,17 @@
                    src/guidialogyesno.cpp
                    src/pvrclient-mythtv.cpp
                    src/cppmyth/MythScheduleManager.cpp
+                   src/cppmyth/MythScheduleHelperNoHelper.cpp
+                   src/cppmyth/MythScheduleHelper75.cpp
+                   src/cppmyth/MythScheduleHelper76.cpp
+                   src/cppmyth/MythScheduleHelper85.cpp
                    src/cppmyth/MythEPGInfo.cpp
                    src/cppmyth/MythRecordingRule.cpp
                    src/cppmyth/MythProgramInfo.cpp
                    src/cppmyth/MythChannel.cpp
                    src/client.cpp
-                   src/fileOps.cpp)
+                   src/fileOps.cpp
+                   src/filestreaming.cpp)
 
 add_subdirectory(lib/cppmyth)
