=== debian/changelog ===
kodi-pvr-mythtv (3.4.8+git20160301-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 09 Aug 2016 13:07:01 +0200

kodi-pvr-mythtv (3.4.8+git20160301-1) unstable; urgency=medium

  * Imported Upstream version 3.4.8+git20160301 (Closes: #816581)
  * Bump standards version to 3.9.7
  * Extend package description (Closes: #808748)
  * Switch to p8-platform from (cec-)platform

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 03 Mar 2016 12:56:34 +0100
