## kodi-pvr-mythtv 4.12.12+dfsg1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
 enable_language(CXX)
 enable_language(C)
 
-find_package(kodi REQUIRED)
+find_package(Kodi REQUIRED)
 find_package(kodiplatform REQUIRED)
-find_package(platform REQUIRED)
+find_package(p8-platform REQUIRED)
 
 include_directories(${kodiplatform_INCLUDE_DIRS}
-                    ${platform_INCLUDE_DIRS}
+                    ${p8-platform_INCLUDE_DIRS}
                     ${KODI_INCLUDE_DIR}
                     ${PROJECT_SOURCE_DIR}/lib/cppmyth/src)
 
@@ -34,10 +34,9 @@
                    src/demuxer/ES_AC3.cpp
                    src/demuxer/elementaryStream.cpp
                    src/demuxer/ES_MPEGVideo.cpp
+                   src/demuxer/ES_hevc.cpp
                    src/demuxer/tsDemuxer.cpp
                    src/demux.cpp
-                   src/guidialogbase.cpp
-                   src/guidialogyesno.cpp
                    src/pvrclient-mythtv.cpp
                    src/cppmyth/MythScheduleManager.cpp
                    src/cppmyth/MythScheduleHelperNoHelper.cpp
@@ -54,7 +53,7 @@
 
 add_subdirectory(lib/cppmyth)
 
-set(DEPLIBS ${platform_LIBRARIES} cppmyth)
+set(DEPLIBS ${p8-platform_LIBRARIES} cppmyth)
 if(WIN32)
   list(APPEND DEPLIBS ws2_32)
 else()
