=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
-cmake_minimum_required (VERSION 2.6 FATAL_ERROR)
-cmake_policy (VERSION 2.6)
-set(CMAKE_LEGACY_CYGWIN_WIN32 0) # Remove when CMake >= 2.8.4 is required
+cmake_minimum_required (VERSION 2.8.9 FATAL_ERROR)
+cmake_policy (VERSION 2.8)
 
 project (cppmyth)
 
@@ -9,7 +8,10 @@
 enable_language(CXX)
 enable_language(C)
 
+#include (GNUInstallDirs)
+
 # Options
+OPTION (BUILD_SHARED_LIBS "Build shared libraries." OFF)
 if (MSVC)
   # This option must match the settings used in your program, in particular if you
   # are linking statically
@@ -22,7 +24,7 @@
 
 ###############################################################################
 # set lib version here
-set (CPPMYTH_LIB_VERSION "2.4.0")
+set (CPPMYTH_LIB_VERSION "2.9.3")
 set (CPPMYTH_LIB_SOVERSION "2")
 
 ###############################################################################
@@ -41,17 +43,31 @@
   set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /W3 /Od /RTC1 /EHsc /nologo")
 endif ()
 
-if (NOT WIN32 AND (CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX))
+if (NOT WIN32)
   if (NOT CYGWIN)
     add_definitions ("-fPIC")
   endif ()
-  include (CheckLibraryExists)
-  include (CheckAtomic)
-  if (HAS_BUILTIN_SYNC_ADD_AND_FETCH)
-    add_definitions ("-DHAS_BUILTIN_SYNC_ADD_AND_FETCH")
-  endif ()
-  if (HAS_BUILTIN_SYNC_SUB_AND_FETCH)
-    add_definitions ("-DHAS_BUILTIN_SYNC_SUB_AND_FETCH")
+  add_definitions ("-Wall")
+
+  include(CheckCXXCompilerFlag)
+  CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
+  if(NOT REQUIRE_CXX_98 AND COMPILER_SUPPORTS_CXX11)
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+    message(STATUS "Using standard c++11")
+  else()
+    CHECK_CXX_COMPILER_FLAG("-std=c++98" COMPILER_SUPPORTS_CXX98)
+    if(COMPILER_SUPPORTS_CXX98)
+      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++98")
+      message(STATUS "Using standard c++98")
+    endif()
+    include (CheckLibraryExists)
+    include (CheckAtomic)
+    if (HAS_BUILTIN_SYNC_ADD_AND_FETCH)
+      add_definitions ("-DHAS_BUILTIN_SYNC_ADD_AND_FETCH")
+    endif ()
+    if (HAS_BUILTIN_SYNC_SUB_AND_FETCH)
+      add_definitions ("-DHAS_BUILTIN_SYNC_SUB_AND_FETCH")
+    endif ()
   endif ()
 endif ()
 
@@ -82,6 +98,16 @@
     set (HAVE_GMTIME_R 0)
 endif ()
 
+find_package (ZLIB REQUIRED)
+if (ZLIB_FOUND)
+    include_directories (${ZLIB_INCLUDE_DIRS})
+    set (HAVE_ZLIB 1)
+else ()
+    set (HAVE_ZLIB 0)
+endif ()
+
+set (HAVE_OPENSSL 0)
+
 # Check what the inline keyword is.
 check_function_keywords ("inline")
 check_function_keywords ("__inline")
@@ -97,40 +123,19 @@
    set (CC_INLINE)
 endif ()
 
-if (REQUIRE_CXX_98)
-  set (CXX_STANDARD "199711L")
-  message(STATUS "c++98 activated")
-else ()
-  if (MSVC)
-    set (CXX_STANDARD "201103L")
-  else ()
-    include(CheckCXXCompilerFlag)
-    CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
-    if(COMPILER_SUPPORTS_CXX11)
-      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
-      set (CXX_STANDARD "201103L")
-    else()
-      set (CXX_STANDARD "199711L")
-    endif ()
-  endif ()
-endif ()
-
 # configure the public config file
-configure_file (
-  ${CMAKE_CURRENT_SOURCE_DIR}/src/cppmyth_config.h.in
+configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/cppmyth_config.h.in
   ${CMAKE_CURRENT_SOURCE_DIR}/src/cppmyth_config.h)
 
-include_directories (
-  ${CMAKE_CURRENT_SOURCE_DIR}/src/.)
+include_directories (${CMAKE_CURRENT_SOURCE_DIR}/src/.)
 
 ###############################################################################
 # add sources
 file (GLOB SRC_FILES
-  src/private/mythdto/*.cpp
-  src/private/*.c
-  src/private/*.cpp
-  src/proto/*.cpp
-  src/*.cpp)
+  src/private/mythdto/*.cpp src/private/mythdto/*.h
+  src/private/*.c src/private/*.cpp src/private/*.h
+  src/proto/*.cpp src/proto/*.h
+  src/*.cpp src/*.h)
 
 file (GLOB OS_SRC_FILES
   src/private/os/threads/threadpool.cpp)
@@ -146,6 +151,12 @@
 ###############################################################################
 # add targets
 set (cppmyth_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})
+if (ZLIB_FOUND)
+  list (APPEND cppmyth_LIBRARIES ${ZLIB_LIBRARIES})
+endif ()
+#if (OPENSSL_FOUND)
+#  list (APPEND cppmyth_LIBRARIES ${OPENSSL_SSL_LIBRARY} ${OPENSSL_CRYPTO_LIBRARY})
+#endif ()
 if (WIN32)
   list (APPEND cppmyth_LIBRARIES ws2_32)
 else ()
