=== debian/changelog ===
kodi-pvr-mythtv (4.12.12+dfsg1-1) unstable; urgency=medium

  * Update Homepage to new location
  * Exclude debian/ dir from upstream tarball
  * Add watch file
  * Imported Upstream version 4.12.12+dfsg1

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 25 Jan 2017 15:35:39 +0100

kodi-pvr-mythtv (4.12.7+git20161219-2) unstable; urgency=medium

  * Build-depend on zlib1g-dev (Closes: #849285)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 25 Dec 2016 00:37:24 +0100

kodi-pvr-mythtv (4.12.7+git20161219-1) unstable; urgency=medium

  * Update d/control using cme fix
  * Imported Upstream version 4.12.7+git20161219
  * Depend on PVR API version of Kodi we built the addon with

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 24 Dec 2016 03:44:31 +0100

kodi-pvr-mythtv (4.7.2+git20160820-1) unstable; urgency=medium

  * Imported Upstream version 4.7.2+git20160820
  * Build-depend on latest libkodiplatform-dev and kodi-addons-dev
  * Build-depend on kodi-addons-dev version which has all the needed headers
  * Drop obsoleted patches
  * Drop hack to build with p8-platform

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 04 Nov 2016 11:13:21 +0100
