=== debian/control ===
--- 
+++ 
@@ -1,18 +1,23 @@
 Source: kodi-pvr-mythtv
-Priority: extra
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Balint Reczey <balint@balintreczey.hu>
-Build-Depends: debhelper (>= 9.0.0), cmake,
-               libkodiplatform-dev (>= 17.0.0), kodi-addons-dev
+Section: libs
+Priority: extra
+Build-Depends: debhelper (>= 9.0.0),
+               cmake,
+               libkodiplatform-dev (>= 17.1.0),
+               kodi-addons-dev (>= 17.0~beta6~),
+               zlib1g-dev
 Standards-Version: 3.9.7
-Section: libs
-Homepage: https://github.com/kodi-pvr/pvr.mythtv.git
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/kodi-pvr-mythtv.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/kodi-pvr-mythtv.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/kodi-pvr-mythtv.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/kodi-pvr-mythtv.git
+Homepage: https://github.com/janbar/pvr.mythtv
 
 Package: kodi-pvr-mythtv
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${xbmc-addons-abi:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${kodi:PVRAPI}
 Description: MythTV PVR Addon for Kodi
  MythTV is a open source software PVR project that is designed to run on
  Linux, although other operating system packages are available. With
