=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,9 @@
 export DEB_CXXFLAGS_MAINT_APPEND = -I$(CURDIR)/src/
 
 %:
-	dh $@
+	dh $@ --with kodiaddon
 
 override_dh_auto_configure:
-	# hack for using cec-platform
-	ln -s /usr/include/cec-platform src/platform
 	# USE_LTO breaks build
 	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=1 -DCMAKE_INSTALL_LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)/kodi
