## kodi-pvr-mythtv 5.10.15

=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,7 @@
-cmake_minimum_required (VERSION 2.8.9 FATAL_ERROR)
-cmake_policy (VERSION 2.8)
-
+cmake_minimum_required(VERSION 3.5)
 project (cppmyth)
 
 set (CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
-
-enable_language(CXX)
-enable_language(C)
-
-#include (GNUInstallDirs)
 
 # Options
 OPTION (BUILD_SHARED_LIBS "Build shared libraries." OFF)
@@ -18,19 +11,19 @@
   OPTION (STATIC_CRT "Link the static CRT libraries" OFF)
 endif ()
 
-if (NOT WIN32)
+if (NOT MSVC)
   OPTION (REQUIRE_CXX_98 "Require standard c++98" OFF)
 endif ()
 
 ###############################################################################
 # set lib version here
-set (CPPMYTH_LIB_VERSION "2.9.3")
+set (CPPMYTH_LIB_VERSION "2.13.0")
 set (CPPMYTH_LIB_SOVERSION "2")
 
 ###############################################################################
 # add definitions
 if (MSVC)
-  add_definitions ("/D_USE_32BIT_TIME_T /D_CRT_SECURE_NO_WARNINGS")
+  add_definitions ("/D_CRT_SECURE_NO_WARNINGS")
   if (STATIC_CRT)
     set (CMAKE_C_FLAGS_RELEASE "/MT")
     set (CMAKE_C_FLAGS_DEBUG "/MTd")
@@ -39,14 +32,22 @@
   endif ()
   set (CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} /W3")
   set (CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} /W3")
-  set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /W3 /Od /RTC1 /EHsc /nologo")
-  set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /W3 /Od /RTC1 /EHsc /nologo")
+  set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /W3 /EHsc /nologo")
+  set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /W3 /EHsc /nologo")
+  if(CMAKE_SYSTEM_NAME STREQUAL WindowsStore)
+    set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /O2")
+    set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /O2")
+  else()
+    set (CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /Od /RTC1")
+    set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /Od /RTC1")
+  endif()
 endif ()
 
-if (NOT WIN32)
+if (NOT MSVC)
   if (NOT CYGWIN)
     add_definitions ("-fPIC")
   endif ()
+
   add_definitions ("-Wall")
 
   include(CheckCXXCompilerFlag)
@@ -125,17 +126,17 @@
 
 # configure the public config file
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/cppmyth_config.h.in
-  ${CMAKE_CURRENT_SOURCE_DIR}/src/cppmyth_config.h)
+  ${CMAKE_CURRENT_BINARY_DIR}/src/cppmyth_config.h)
 
-include_directories (${CMAKE_CURRENT_SOURCE_DIR}/src/.)
+include_directories (${CMAKE_CURRENT_BINARY_DIR}/src/ ${CMAKE_CURRENT_SOURCE_DIR}/src/.)
 
 ###############################################################################
 # add sources
 file (GLOB SRC_FILES
-  src/private/mythdto/*.cpp src/private/mythdto/*.h
-  src/private/*.c src/private/*.cpp src/private/*.h
-  src/proto/*.cpp src/proto/*.h
-  src/*.cpp src/*.h)
+  src/private/mythdto/*.cpp
+  src/private/*.c src/private/*.cpp
+  src/proto/*.cpp
+  src/*.cpp)
 
 file (GLOB OS_SRC_FILES
   src/private/os/threads/threadpool.cpp)
@@ -148,6 +149,18 @@
 set (CPPMYTH_SOURCES
   ${SRC_FILES} ${OS_SRC_FILES})
 
+file (GLOB HDR_FILES
+  src/private/mythdto/*.h
+  src/private/*.h
+  src/proto/*.h
+  src/*.h)
+
+file (GLOB OS_HDR_FILES
+  src/private/os/threads/*.h)
+
+set (CPPMYTH_HEADERS
+  ${HDR_FILES} ${OS_HDR_FILES})
+
 ###############################################################################
 # add targets
 set (cppmyth_LIBRARIES ${CMAKE_THREAD_LIBS_INIT})
@@ -157,7 +170,7 @@
 #if (OPENSSL_FOUND)
 #  list (APPEND cppmyth_LIBRARIES ${OPENSSL_SSL_LIBRARY} ${OPENSSL_CRYPTO_LIBRARY})
 #endif ()
-if (WIN32)
+if (MSVC)
   list (APPEND cppmyth_LIBRARIES ws2_32)
 else ()
   list (APPEND cppmyth_LIBRARIES m)
@@ -169,4 +182,3 @@
 
 add_library (cppmyth STATIC ${CPPMYTH_SOURCES})
 target_link_libraries (cppmyth ${cppmyth_LIBRARIES})
-
