=== debian/watch ===
version=4
https://github.com/janbar/pvr.mythtv/releases /janbar/.*/archive/?(\d\S*)-[A-Za-z]*\.tar\.gz
