## kodi-pvr-mythtv 7.3.0+ds1

=== debian/changelog ===
kodi-pvr-mythtv (7.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 7.3.0+ds1
  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:59 +0000

kodi-pvr-mythtv (7.2.0+ds1-1) unstable; urgency=medium

  * New upstream version 7.2.0+ds1
    + Repack out vendored dependencies, except for cppmyth, so add a
      README.source documenting that.
  * d/rules:
    + Use architecture.mk for DEB_HOST_MULTIARCH
    + Enable hardening flags
  * Update d/watch
  * d/control:
    + Remove Balint Reczey from Uploaders per his wish, and add myself
    + Use dh-sequence-kodiaddon
    + Drop kodiplatform build-dependency
    + Update Vcs-* for the move to 'kodi-media-center' subgroup
    + Bump Standards-Version to 4.5.1, no changes needed
    + Bump debhelper compat level to 13, use debhelper-compat and drop d/compat
  * Update d/copyright
  * Add new d/upstream/metadata

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 20 Dec 2020 22:11:27 +0000
