=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: kodi-pvr-mythtv
+Priority: optional
+Section: video
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Balint Reczey <balint@balintreczey.hu>
-Section: libs
-Priority: optional
-Build-Depends: debhelper (>= 9.0.0),
-               cmake,
-               kodi-addons-dev (>= 2:18~),
-               libkodiplatform-dev (>= 20180302),
-               zlib1g-dev
-Standards-Version: 3.9.7
-Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-pvr-mythtv
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-pvr-mythtv.git
-Homepage: https://github.com/janbar/pvr.mythtv
+Uploaders: Vasyl Gello <vasek.gello@gmail.com>
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Arch: dh-sequence-kodiaddon,
+ cmake,
+ kodi-addons-dev (>= 2:19~),
+ zlib1g-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mythtv
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-pvr-mythtv.git
+Homepage: https://kodi.tv/
 
 Package: kodi-pvr-mythtv
 Architecture: any
 Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${kodi:PVRAPI}
+ ${misc:Depends},
+ ${kodi:PVRAPI}
 Description: MythTV PVR Addon for Kodi
  MythTV is a open source software PVR project that is designed to run on
  Linux, although other operating system packages are available. With
