=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 ###############################################################################
 # set lib version here
-set (CPPMYTH_LIB_VERSION "2.13.0")
+set (CPPMYTH_LIB_VERSION "2.14.1")
 set (CPPMYTH_LIB_SOVERSION "2")
 
 ###############################################################################
