## kodi-pvr-mythtv 19.0.8+ds1

=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 ###############################################################################
 # set lib version here
-set (CPPMYTH_LIB_VERSION "2.14.1")
+set (CPPMYTH_LIB_VERSION "2.14.5")
 set (CPPMYTH_LIB_SOVERSION "2")
 
 ###############################################################################
