=== debian/changelog ===
kodi-pvr-mythtv (19.0.8+ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:41:19 +0000

kodi-pvr-mythtv (19.0.8+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.8+ds1
  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 07 Apr 2022 18:39:19 +0000
