## kodi-pvr-mythtv 20.2.7+ds1

=== debian/changelog ===
kodi-pvr-mythtv (20.2.7+ds1-1) unstable; urgency=medium

  * New upstream version 20.2.7+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:55:50 +0000
