=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/janbar/pvr.mythtv/releases \
/janbar/pvr.mythtv/archive/refs/tags/?(\d\S*)-Nexus\.tar\.gz
