## kodi-pvr-mythtv 20.3.0+ds1

=== debian/changelog ===
kodi-pvr-mythtv (20.3.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.3.0+ds1
  * Fix lintian warnings
  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:55:31 +0000
