## kodi-pvr-mythtv 20.6.0+ds

=== lib/cppmyth/CMakeLists.txt ===
--- 
+++ 
@@ -11,15 +11,14 @@
   OPTION (STATIC_CRT "Link the static CRT libraries" OFF)
 endif ()
 
-if (NOT MSVC)
-  OPTION (REQUIRE_CXX_98 "Require standard c++98" OFF)
-endif ()
-
 ###############################################################################
 # set lib version here
-set (CPPMYTH_LIB_VERSION "2.14.5")
-set (CPPMYTH_LIB_SOVERSION "2")
+set (PACKAGE_VERSION_MAJOR 2)
+set (PACKAGE_VERSION_MINOR 17)
+set (PACKAGE_VERSION_PATCH 0)
 
+set (PACKAGE_VERSION ${PACKAGE_VERSION_MAJOR}.${PACKAGE_VERSION_MINOR}.${PACKAGE_VERSION_PATCH})
+set (PACKAGE_LIB_SOVERSION ${PACKAGE_VERSION_MAJOR})
 ###############################################################################
 # add definitions
 if (MSVC)
@@ -52,23 +51,17 @@
 
   include(CheckCXXCompilerFlag)
   CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
-  if(NOT REQUIRE_CXX_98 AND COMPILER_SUPPORTS_CXX11)
+  if(COMPILER_SUPPORTS_CXX11)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
     message(STATUS "Using standard c++11")
-  else()
-    CHECK_CXX_COMPILER_FLAG("-std=c++98" COMPILER_SUPPORTS_CXX98)
-    if(COMPILER_SUPPORTS_CXX98)
-      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++98")
-      message(STATUS "Using standard c++98")
-    endif()
-    include (CheckLibraryExists)
-    include (CheckAtomic)
-    if (HAS_BUILTIN_SYNC_ADD_AND_FETCH)
-      add_definitions ("-DHAS_BUILTIN_SYNC_ADD_AND_FETCH")
-    endif ()
-    if (HAS_BUILTIN_SYNC_SUB_AND_FETCH)
-      add_definitions ("-DHAS_BUILTIN_SYNC_SUB_AND_FETCH")
-    endif ()
+  endif()
+  include (CheckLibraryExists)
+  include (CheckAtomic)
+  if (HAS_BUILTIN_SYNC_ADD_AND_FETCH)
+    add_definitions ("-DHAS_BUILTIN_SYNC_ADD_AND_FETCH")
+  endif ()
+  if (HAS_BUILTIN_SYNC_SUB_AND_FETCH)
+    add_definitions ("-DHAS_BUILTIN_SYNC_SUB_AND_FETCH")
   endif ()
 endif ()
 
@@ -125,8 +118,8 @@
 endif ()
 
 # configure the public config file
-configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/cppmyth_config.h.in
-  ${CMAKE_CURRENT_BINARY_DIR}/src/cppmyth_config.h)
+configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/local_config.h.in
+  ${CMAKE_CURRENT_BINARY_DIR}/src/local_config.h)
 
 include_directories (${CMAKE_CURRENT_BINARY_DIR}/src/ ${CMAKE_CURRENT_SOURCE_DIR}/src/.)
 
@@ -139,7 +132,8 @@
   src/*.cpp)
 
 file (GLOB OS_SRC_FILES
-  src/private/os/threads/threadpool.cpp)
+  src/private/os/threads/threadpool.cpp
+  src/private/os/threads/latch.cpp)
 
 if (MSVC)
   list (APPEND OS_SRC_FILES
