## kodi-pvr-mythtv 20.6.9+ds

=== debian/changelog ===
kodi-pvr-mythtv (20.6.9+ds-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:47:00 +1100

kodi-pvr-mythtv (20.6.9+ds-1) unstable; urgency=medium

  * New upstream version 20.6.9+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 05 Mar 2024 17:02:02 +0000

kodi-pvr-mythtv (20.6.0+ds-1) unstable; urgency=medium

  * New upstream version 20.6.0+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 11 Feb 2024 07:18:35 +0000

kodi-pvr-mythtv (20.5.10+ds-1) unstable; urgency=medium

  * New upstream version 20.5.10+ds
  * Bmp copyright years
  * d/watch: Fix repack suffix
  * d/gbp.conf: Fix debian and upstream branches

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 04 Feb 2024 08:40:40 +0000
